Jobs

Get all jobs

Retrieve a list of jobs with optional filtering and pagination

GET
/api/jobs

Authorization

Authorization
header
string
required

Enter the project access token with the Bearer prefix, e.g. "Bearer project_access_token"

Query Parameters

id
string

Filter by job ID

offset
default: 0
integer

Pagination offset

Required range: x >= 0
limit
default: 100
integer

Pagination limit

Required range: 1 <= x <= 100
created.gte
integer
epoch

Filter by creation date greater than or equal

Required range: x >= 0
Examples:
1764238404
created.lte
integer
epoch

Filter by creation date less than or equal

Required range: x >= 0
Examples:
1764238404
source_id
string

Filter by source ID

hls_manifest_id
string

Filter by hls manifest ID

status
string

Filter by job status

Available options:
completedprocessingfailedcancelledqueuedpending
format_id
string

Filter by format id

Available options:
mp4_h264mp4_h265mp4_av1webm_vp9hls_h264hls_h265hls_av1jpg
metadata
array[]

Filter by metadata

created.sort
default: "asc"
string

Sort by creation date (asc/desc)

Available options:
ascdesc

Responses

application/json
data
object[]
required

Data contains the paginated job items

limit
integer
required

Limit indicates the maximum number of items in the current response

offset
integer
required

Offset indicates the offset of the first item in the current response

status
"success"
string
required

Status indicates the response status "success"

total
integer
required

Total indicates the total number of items

OK